Simple Admin Language Change

Beschreibung

The lightweight plugin extends the default functionality and pulls out the language selection to the admin bar so you can easily switch between them.

Note: Plugin in versions 1.0 allowed setting up administration language for different users for quite a long time. Since WordPress 4.7 version, this feature is now provided natively by WordPress.

Do you want help with the development? Join the Github!

Screenshots

  • Changing languages and installing another language (French)

Installation

EN

  1. Upload the plugin to your website or install via plugin management.
  2. Check whether the WooCommerce plugin is installed and active.
  3. Activate the plugin through the Plugins menu in WordPress administration
  4. (If you wish, go to the Settings and General to select different installed language instead of English)
  5. Done!

FAQ

I want to swith to different language

You need to install the language first.

  1. Go to Settigngs -> General.
  2. Select the desired site language and hit save changes. The language gets installed.
  3. Change the site language back to the old value.
  4. Now you can switch in the dropdown.

Rezensionen

12. Oktober 2021
This is an excellent little plugin that is very useful when you have authors from different countries and languages spoken working on your team of writers. I like the option of individually switching between languages.
6. Jänner 2020
Thank You so much Karolina for creating this super useful plugin. For Me it's working perfectly 100 % in every situation. Please, do not be discouraged by ungrateful & dummy users like "@mysterious87" that are posting unfair reviews only because the plugin doesn't work with their buggy "OceanWP" theme. This theme is Not reliable anymore, so it's normal to have the type of issues described by "@mysterious87". I'm using WordPress 5.3.2 and the "Suki" theme. Thank You!!!
21. Dezember 2019
I just installed the plug-in on my WP 5.3.1, it seems to be working just fine. The admin panel got changed to English as soon as I activated the plug-in. I don't see an option to revert this though, deactivating it might be the only way. Cheers, UPDATE (21-12-2019): I had an issue with the theme customization page, it wasn't loading and kept giving me a blank page, once I started deactivating the plug-ins, after a long trouble-shooting process, everything went back to normal when I deactivated this plug-in! Theme used: OceanWP. Cheers,
Lies alle 14 Rezensionen

Mitwirkende & Entwickler

„Simple Admin Language Change“ ist Open-Source-Software. Folgende Menschen haben an diesem Plugin mitgewirkt:

Mitwirkende

„Simple Admin Language Change“ wurde in 3 Sprachen übersetzt. Danke an die Übersetzerinnen und Übersetzer für ihre Mitwirkung.

Übersetze „Simple Admin Language Change“ in deine Sprache.

Interessiert an der Entwicklung?

Durchstöbere den Code, sieh dir das SVN Repository an oder abonniere das Entwicklungsprotokoll per RSS.

Änderungsprotokoll

2.0.4 (2021-07-27)

  • Lower the permissions check – anybody with „read“ permissions (e.g., subscriber) can change their locale with the dropdown when logged into the admin.
  • Hide the language switcher on the front end – the top admin bar is affected by site language, not the user’s choice (opened trac ticket for that)

2.0.3 (2021-05-08)

  • Replace textdomain kbnt-salc with simple-admin-language-change to make it work with GlotPress (more info)

2.0.2 (2021-05-03)

  • Fix security issues
    • Check for the empty nonce.
    • Escape translations.

2.0.1 (2021-05-03)

  • Fix security issues (thanks @ErwanLR from WPScan for reporting!)
    • Check for the empty nonce.
    • Check for user permission within ajax request.
    • Retrieve current user ID within the request.
  • Make error messages translatable.

2.0.0 (2021-05-02)

  • Drop the old functionality replaced by an integrated solution since WordPress 4.7
  • Add a simple select box into the admin bar instead.

1.0.2 (2018-02-25)

  • Fix: enable localization

1.0.1 (2018-02-18)

  • Fix: PHP 7 deprecated methods – compatibility (#1)

1.0.0 (2016-10-06)

  • Initial version